
Application: gvSIG desktop - gvSIG bugs #3590
Problema al copiar imágenes en la publicación
06/11/2015 01:31 PM - José Vicente Higón

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Publish
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2312 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Estoy probando con la versión portable.
En una capa de puntos, cambio el símbolo para que apunte a una imagen SVG.
Cuando se realiza la publicación no es capaz de copiar el fichero al directorio "img" porque la ruta es incorrecta (le faltan varios ../../
para que la ruta sea correcta)

java.io.FileNotFoundException: Source
'/home/jvhigon/Documentos/proyectos/PDVSA/portable/2312/target/gvsig-desktop-2.2.0-2312-testing-lin-x86_64/./../../../../../data/datos_imelsa/symbols/sport_soccer.sv
a/datos_imelsa/symbols/sport_soccer.svg' does not exist
    at org.apache.commons.io.FileUtils.copyFile(FileUtils.java:1074)
    at org.apache.commons.io.FileUtils.copyFile(FileUtils.java:1038)
    at org.gvsig.publish.impl.mapserver.utils.MapServer.addImageUrl(MapServer.java:573)
    at org.gvsig.publish.impl.mapserver.utils.MapServer.loadSymbolImages(MapServer.java:587)
    at org.gvsig.publish.impl.mapserver.utils.MapServer.loadSymbolsImages(MapServer.java:518)
    at org.gvsig.publish.impl.mapserver.utils.MapServer.publish(MapServer.java:413)
    at org.gvsig.publish.impl.mapserver.MapserverService.makepublish(MapserverService.java:175)
    at org.gvsig.publish.impl.mapserver.MapserverService.publish(MapserverService.java:117)
    at org.gvsig.publish.impl.mapserver.MapserverService.publish(MapserverService.java:86)
    at org.gvsig.publish.app.mainplugin.PublishClientExtension$1.run(PublishClientExtension.java:140)
    at java.lang.Thread.run(Thread.java:745)

History
#1 - 10/26/2015 06:01 PM - Álvaro Anguix
- Assignee deleted (José Badía)

#2 - 02/04/2019 05:09 PM - Álvaro Anguix
- Status changed from New to Outdated
